import type { AsyncBlockStateComponent, MessageOrMessageFunction, TaskFor } from '../component';
import Component from '@ember/component';
/**
 * The UiAsyncBlockNoResultsView component is the default for a UiAsyncBlock whose managed
 * promise resolves, but appears "empty".
 *
 * If the UiAsyncBlock has not been named then it will display:
 * - "No Content Is Available"
 *
 * And if it has been named it will attempt to determine the correct inflection and display:
 * - "No &lt;NAME&gt; &lt;have/has&gt; been added"
 */
export default class UiAsyncBlockNoResultsView extends Component implements AsyncBlockStateComponent {
    parentTask: TaskFor;
    parentName?: string;
    message?: MessageOrMessageFunction;
    protected get outputMessage(): string;
    protected defaultMessage(name?: string): string;
}
