import type { AsyncBlockStateComponent, MessageOrMessageFunction, TaskFor } from '../component';
import Component from '@ember/component';
/**
 * The UiAsyncBlockPendingView component is the default for a UiAsyncBlock whose managed
 * promise is in the pending state. It will display the standard UILoadIndicator with
 * accompanying text.
 *
 * If the UiAsyncBlock has not been named then it will display:
 * - "Loading..."
 *
 * And if it has been named:
 * - "Loading &lt;NAME&gt;"
 */
export default class UiAsyncBlockPendingView extends Component implements AsyncBlockStateComponent {
    parentTask: TaskFor;
    parentName?: string;
    message?: MessageOrMessageFunction;
    protected get outputMessage(): string;
    protected defaultMessage(name?: string): string;
}
