import type { AsyncBlockStateComponent, MessageOrMessageFunction, TaskFor } from '../component';
import Component from '@ember/component';
/**
 * The UiAsyncBlockRejectedView component is the default for a UiAsyncBlock whose managed
 * promise has been rejected. It will display a Font Awesome "exclamation-triangle" with
 * accompanying text that will both be styled in the "danger" text variant.
 *
 * If the UiAsyncBlock has not been named then it will display:
 * - "An Error Has Occurred"
 *
 * And if it has been named:
 * - "Could not retrieve &lt;NAME&gt;"
 */
export default class UiAsyncBlockRejectedView extends Component implements AsyncBlockStateComponent {
    parentTask: TaskFor;
    parentName?: string;
    message?: MessageOrMessageFunction;
    protected get outputMessage(): string;
    protected defaultMessage(name?: string): string;
}
