import Component from '@ember/component';
/**
 * The UiFilterInput component
 */
export default class UiFilterInput extends Component {
    /**
     * The aria-label of the text input.
     */
    label?: string;
    /**
     * The text input's placeholder text.
     */
    placeholder?: string;
    /**
     * Whether the text input can be interacted with.
     */
    disabled: boolean;
    /**
     * Whether to display a clear button to the right of the text input.
     */
    showClearButton: boolean;
    /**
     * The name of the icon to use with the close button.
     */
    clearButtonIcon: string;
    /**
     * An array that will be used to populate a menu of options that can
     * be selected to auto-populate the text input.
     */
    filters?: {
        label: string;
        value: string;
    }[];
    protected onValueChange?: (newValue: string, pauseForMore?: boolean) => void;
    protected readonly value?: string;
    protected readonly errorMessage?: string;
    protected readonly showErrorMessage = false;
    protected readonly noValue: boolean;
    protected isInputGroup: boolean;
    protected handleInputChange(event: InputEvent): void;
    protected handleQuerySelection(value: string): void;
    protected handleInputReset(): void;
}
