import Component from '@ember/component';
/**
 * Renders a FontAwesome icon.
 *
 * ```handlebars
 * <UiIcon @name="superpowers" />
 * {{!-- Outputs: <span class="fa fa-superpowers" aria-hidden="true"></span> --}}
 * ```
 */
export default class UiIcon extends Component {
    /**
     * The icon name. Providing the `fa-` prefix is allowed, but not required.
     *
     * @required
     */
    name: string;
    /**
     * Whether to apply the fixed width modifier to the icon.
     */
    fw: boolean;
    /**
     * Whether to apply a rotation animation to the icon.
     */
    spin: boolean;
    /**
     * Whether to apply a pulsing animation to the icon.
     */
    pulse: boolean;
    /**
     * The type of animation to be applied to the icon when pending = true.
     */
    pendingAnimation: 'spin' | 'pulse';
    /**
     * For convenience, when set to true the icon will take on the MyNSF standard
     * "loading/pending" animation.
     */
    pending: boolean;
    /**
     * The icon size modifier.
     */
    size?: '2x' | '3x' | '4x';
    get iconClassName(): string;
}
