import Component from '@ember/component';
/**
 * A simple indeterminate "pending" indicator to be used inside of block
 * containers.
 *
 * ```handlebars
 * {{ui-load-indicator "Heavy lifting in progress, one moment please..."}}
 * ```
 */
export default class UiLoadIndicator extends Component {
    static readonly positionalParams: string[];
    /**
     * A descriptive string to be displayed with the indicator. This can also
     * be provided as the first positional parameter.
     */
    text: string;
    /**
     * The style of animation to apply to the loading icon.
     */
    animation: 'spin' | 'pulse';
    /**
     * The value of the element's `data-test-id` attribute.
     */
    testId?: string | undefined;
}
