import Component from '@ember/component';
export declare enum Units {
    PARAGRAPH = "paragraph",
    SENTENCE = "sentence",
    WORD = "word"
}
/**
 * A simple Lorem Ipsum generator that can generate filler words, sentences, and
 * whole paragraphs. It's for developers!
 *
 * ```hbs
 *
 * <UiLorem @count={{2}} @units="paragraph" />
 * ```
 */
export default class UiLorem extends Component {
    static readonly positionalParams: string[];
    /**
     * The number of whatever is set in "units" that will be produced. This may also
     * be set as the first positional parameter of the component.
     */
    count: number;
    /**
     * The type of Ipsum to create. May be either "paragraph", "sentence", or "word".
     * This may also be set as the second positional parameter of the component.
     */
    units: Units;
    /**
     * A hash describing the lower and upper bounds of the number of randomly generated words
     * within any given sentence.
     */
    wordsPerSentence: {
        min: number;
        max: number;
    };
    /**
     * A hash describing the lower and upper bounds of the number of randomly generated
     * sentences within any given paragraph.
     */
    sentencesPerParagraph: {
        min: number;
        max: number;
    };
    readonly isParagraph: boolean;
    get content(): string | string[];
    generateRandomWords(num?: number): string;
    generateRandomSentence(num?: number): string;
    generateRandomParagraph(num?: number): string;
    generate(num: number): string | string[];
}
