import Component from '@ember/component';
/**
 * The UiPagerSizeOptions component is a simple HTML select that reports its selected
 * value back to its parent UiPager instance.
 */
export default class UiPagerSizeOptions extends Component {
    /**
     * The value of the select element's `aria-label` attribute.
     */
    ariaLabel?: string;
    /**
     * The value of the select element's `aria-controls` attribute.
     */
    ariaControls?: string;
    /**
     * Whether interaction with the select is allowed.
     */
    disabled: boolean;
    /**
     * An array of objects that will be used to populate the select element's options.
     * Each much contain `label` and `value` strings.
     */
    options?: {
        label: string;
        value: string;
    };
    /**
     * The value of the options that will be marked as selected. Numbers will be cast
     * to their string representation.
     */
    selected?: string | number;
    /**
     * A callback that will receive the newly selected value whenever it changes.
     */
    onSelection?: (newValue: number) => void;
    /**
     * The value of the select element's `data-test-id` attribute.
     */
    testId?: string;
    protected get stringSelected(): string;
    protected handleInput(event: InputEvent): void;
}
