import type Controller from '@ember/controller';
import type EmberComponent from '@ember/component';
import type GlimmerComponent from '@glimmer/component';
export declare type DirectionsX = Directions.Left | Directions.Right;
export declare type BreadCrumb = string | {
    label?: string;
    path?: string;
    model?: unknown | unknown[];
    linkable?: boolean;
    isCurrent?: boolean;
    rewind?: number;
    href?: string;
    target?: '_self' | '_top' | '_blank' | '_parent';
};
export interface IBreadCrumbController extends Controller {
    breadCrumb?: BreadCrumb;
    breadCrumbs?: BreadCrumb[];
}
export interface ITableColumn {
    propertyName?: string;
    label?: string;
    description?: string;
    colSpan?: number;
    sortOn?: string;
    sortDirection?: string;
    subSortOn?: string;
    subSortDirection?: string;
    filterExactMatch?: boolean;
    filterStartsWith?: boolean;
    filterCaseSensitive?: boolean;
    filterBooleanMap?: [string, string];
    thClassName?: string;
    tdClassName?: string;
    tdComponent?: string | typeof EmberComponent | typeof GlimmerComponent;
}
export declare enum Directions {
    Left = "left",
    Right = "right",
    Up = "up",
    Down = "down"
}
export declare enum Dimensions {
    Height = "height",
    Width = "width"
}
export declare enum ButtonVariants {
    Default = "default",
    Primary = "primary",
    Secondary = "secondary",
    Info = "info",
    Success = "success",
    Warning = "warning",
    Danger = "danger",
    Link = "link"
}
export declare enum PanelVariants {
    Default = "default",
    Primary = "primary",
    Secondary = "secondary",
    Info = "info",
    Success = "success",
    Warning = "warning",
    Danger = "danger"
}
export declare enum SizeVariants {
    Small = "sm",
    Medium = "md",
    Large = "lg"
}
export declare enum HeadingLevels {
    H1 = "h1",
    H2 = "h2",
    H3 = "h3",
    H4 = "h4",
    H5 = "h5",
    H6 = "h6"
}
export declare enum AlertLevel {
    ERROR = "danger",
    WARNING = "warning",
    SUCCESS = "success",
    INFO = "secondary",
    MUTED = "muted"
}
export declare const AlertLevelAlternates: Record<string, AlertLevel>;
export declare type AlertLevelKeys = 'danger' | 'error' | 'errors' | 'alert' | 'warning' | 'warnings' | 'success' | 'successes' | 'secondary' | 'info' | 'information' | 'informationals' | 'muted' | 'default';
export declare const AlertLevelOrdering: AlertLevel[];
export declare type AlertGroupDefinition = {
    singular?: string;
    plural?: string;
    icon?: string;
};
export declare const AlertGroups: Record<AlertLevel, AlertGroupDefinition>;
/**
 * Common KeyCodes used for keyboard navigation and selection.
 */
export declare enum KeyCodes {
    Enter = "Enter",
    ArrowUp = "ArrowUp",
    ArrowRight = "ArrowRight",
    ArrowDown = "ArrowDown",
    ArrowLeft = "ArrowLeft",
    Home = "Home",
    End = "End",
    Space = "Space",
    Escape = "Escape",
    Shift = "Shift",
    Tab = "Tab"
}
export declare enum SortOrder {
    ASC = "ascending",
    DESC = "descending",
    NONE = "none"
}
