/**
 * Given an element and ARIA attribute name the value of that attribute will be returned. The
 * return type is consistently an Array to support attributes like `aria-describedby` which
 * allows ID reference lists (space separated values).
 */
export declare function getAriaAttributeValues(target: HTMLElement, attrName: string): string[] | undefined;
/**
 * Adds an ARIA attribute to the provided element. If the attribute already has a value then
 * it will be appended to, treating the string as an ID reference list.
 */
export declare function addAriaAttribute(target: HTMLElement, attrName: string, value: string): void;
/**
 * Removes an ARIA attribute from the provided element.
 */
export declare function removeAriaAttribute(target: HTMLElement, attrName: string, value: string): void;
