import type ComputedProperty from '@ember/object/computed';
/**
 * A computed property macro that listens to dependent (external) property, but allows
 * overriding it locally without violating DDAU. By using a simple setter it will still
 * trigger on changes of the dependent property even when being set before.
 *
 * Kudos to @fsmanuel for coming up with this solution.
 */
export declare function listenTo<V>(dependentKey: string, defaultValue?: unknown): ComputedProperty<V>;
