/**
 * "FlowThrough" focus is designed for positioned elements such as popovers that have
 * focusable content, but are not rendered inline with the tab flow. Given a container
 * and an "origin" element - most typically the triggering element that caused the
 * container to be made visible - this will attach event listeners to manage tab and
 * tab + shift keyboard inputs to make it seem as though the container is inline.
 */
export declare function manageFlowThroughFocus(container?: Element, origin?: HTMLElement): (returnFocus?: boolean) => void;
/**
 * "Capture" focus is exactly what it sounds like - focus is captured within the provided container.
 * When the last focusable element in the container is reached, the next tab will cause focus
 * to wrap back around to the first focusable element. Tab + shift behaves the same in the
 * other direction.
 */
export declare function manageCaptureFocus(container?: Element, origin?: HTMLElement): (returnFocus?: boolean) => void;
