import type ComputedProperty from '@ember/object/computed';
import type Service from '@ember/service';
/**
 * A computed macro that can be used to lazily inject a service and
 * won't throw an exception if the service doesn't exist.
 */
export default function optionalService(name?: string): ComputedProperty<Service | undefined>;
