/**
 * Creates a method that will only execute when the target of a click event within the
 * document is NOT equal to or a child of the provided target argument. In other words,
 * it is a function that lets you know when a click has occurred _somewhere that is not_
 * a specific element.
 *
 * The returned value can be used to remove the event when needed.
 */
export declare function createOutsideClickListener(scope: unknown, target: HTMLElement | HTMLElement[], callback: (event: UIEvent) => void): EventListener;
/**
 * For symmetry, this removes a previously created outside click listener.
 */
export declare function removeOutsideClickListener(cb: EventListener): void;
