import { Promise } from 'rsvp';
/**
 * Adds a "transitionend" event listener on the provided node. The listener will
 * be removed after one run of the callback, or if the timeout is reached.
 *
 * @function waitForTransitionEnd
 *
 * @param {Element} node    The DOM node to listen for "transitionend" on.
 * @param {number}  timeout
 *
 * @returns {Promise<void>}
 */
export declare function waitForTransitionEnd(node: Element, timeout?: number): Promise<void>;
